                  SUBROUTINE Y_SCALE(LUS,x,y)         
C
C----------------------------------------------------------------------
C.IDENTIFICATION: Subroutine Y_SCALE       
C.LIBRARY:        GRAPHSERV
C.AUTHOR:         L.Chiappetti - IFCTR Milano
C.VERSIONS:       0.0 -  7 Oct 93 - Prototype
C.                0.0a- 19 Jul 94 - using stream I/O (ddf)
C.                0.1 - 17 Aug 94 - officialized + common clientside.inc
C.PURPOSE:        send opcode to set lin/log scale on both axes
C.SYNTAX:         CALL Y_COORDINATES(x,y)  
C.PARAMETERS:     CHARACTER x,y (LIN|LOG)                            
C----------------------------------------------------------------------
C
      INTEGER   LUS(2)            
      INTEGER IERR,I1,I2
      CHARACTER*(*) X,Y
      INCLUDE 'clientside.inc'
      CALL UPCASE(X)
      CALL UPCASE(Y)
C-->  default is linear
      I1=0
      I2=0
      IF(X.EQ.'LOG')I1=1
      IF(Y.EQ.'LOG')I2=1
      OPCODE = 104
*     WRITE (LUS(1),IOSTAT=IERR)OPCODE,I1,I2
      IBUF(2)=I1
      IBUF(3)=I2
      CALL Z_WRITE_STREAM (LUS(1),IBUF,12)
      RETURN
      END
